// MitarbeiterverwaltungViewComponent (components/mitarbeiterverwaltung-view.component.ts)
import { Component, OnInit } from '@angular/core';
import { EmployeeService } from '../../data_layer/service/mitarbeiter_data_service';
import { Employee } from '../../data_layer/model/employee';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';

@Component({
  selector: 'app-mitarbeiterverwaltung-view',
  templateUrl: './mitarbeiterverwaltung-view.component.html',
  styleUrls: ['./mitarbeiterverwaltung-view.component.css'],
  standalone: true,
  imports: [CommonModule, HttpClientModule]
})
export class MitarbeiterverwaltungViewComponent implements OnInit {
  employees: Employee[] = [];

  constructor(private employeeService: EmployeeService) {}

  ngOnInit(): void {
    this.fetchEmployees();
  }

  fetchEmployees(): void {
    this.employeeService.getAllEmployees().subscribe(
      (data: Employee[]) => {
        this.employees = data;
      },
      (error: any) => {
        console.error('Error fetching employees', error);
      }
    );
  }
}
