// EmployeeService (data_layer/service/mitarbeiter_data_service.ts)
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Employee } from '../model/employee';

@Injectable({
  providedIn: 'root'
})
export class EmployeeService {
  private baseUrl = 'https://employee.szut.dev/api';
  private bearerToken = 'eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICIzUFQ0dldiNno5MnlQWk1EWnBqT1U0RjFVN0lwNi1ELUlqQWVGczJPbGU0In0';

  constructor(private http: HttpClient) {}

  getAllEmployees(): Observable<Employee[]> {
    const endpoint = `${this.baseUrl}/employees`;
    const headers = new HttpHeaders({
      'Authorization': `Bearer ${this.bearerToken}`,
      'Content-Type': 'application/json'
    });
    return this.http.get<Employee[]>(endpoint, { headers });
  }
}
